import { RPCClientError } from '@loafer/ng-rpc';

import { NoAuthProbe } from '@overflow/commons-typescript/model/noauth';
import { Selector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';

export const noAuthProbeAdapter = createEntityAdapter<NoAuthProbe, RPCClientError>();
export interface State extends EntityState<NoAuthProbe, RPCClientError> {
}
export const initialState: State = noAuthProbeAdapter.getInitialState();

export function getSelectors<S>(selector: Selector<any, State>) {
  return noAuthProbeAdapter.getSelectors(selector);
}
